-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_NeedArea_20161222


CREATE procedure [C6StagingPeriodico].[RP_ST_NeedArea_20161222] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_NeedArea',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table C6StagingPeriodico.RP_NeedArea

	insert into C6StagingPeriodico.RP_NeedArea
	select * from [CONSEVO].[CatalogoProdotti].dbo.NeedArea
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_NeedArea' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_NeedArea'
		)
	
end



